public interface DequeInterface extends QueueInterface {

/**
 * enqueueFront(newItem)
 * Enqueues newItem on the front of the queue (similar to a push)
 * @args newItem - the object to be added to the front of the queue
 * @postcondition - newItem will be on the front of the queue
 * @throws QueueException only if necessitated by implementation specific limits
 */
public void enqueueFront(Object newItem) throws QueueException;

/**
 * dequeueBack()
 * Removes and returns the last item on a queue (similar to pop)
 * @return - the Object that was on the end of the queue
 * @postcondition - the queue will be one item shorter
 * @throws QueueException if the queue is empty
 */
public Object dequeueBack() throws QueueException;

}


