
/**
 * A utility class of nodes to be used in implementing linked lists.
 *
 * @author Zach Tomaszewski
 * @date 29 Sept 2001
 * @see SortedListInterativeLinked, SortedListRecursiveLinked
 */
class Node {
   private Object item;  //the item each node will contain
   private Node nextNode;

 protected Node(Object item, Node nextNode) {
   this.item = item;
   this.nextNode = nextNode;
 }

 protected Node(Object item){
   this.item = item;
   this.nextNode = null;
 }

 /**
  * returns the next node in the list
  */
 protected Node getNext(){
   return this.nextNode;
 }


 /**
  * returns the object contained by this node
  */
 protected Object getItem(){
   return this.item;
 }


 /**
  * updates the link from this node to the next
  */
 protected void setNext(Node nextNode){
   this.nextNode = nextNode;
 }

 /**
  * removes the link from this node to the next (sets it to null) 
  */
 protected void removeNext() {
    this.nextNode = null;
 }
}

